using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Defaultability.Domain;

namespace Topsdk.Top.Defaultability.Response;

public class TaobaoTbkDgMaterialRecommendResponse : AbstractTopApiResponse
{

    /*
        resultList
            */
    private IList<TaobaoTbkDgMaterialRecommendMapData>? resultList;


    /*
        推荐信息-是否抄底
            */
    private string? isDefault;


    /*
        商品总数-该选品库收藏夹id及官方物料id对应的商品数量
            */
    private long? totalCount;


    /*
        uvid结果信息，传入但未使用uvid时会返回原因
            */
    private string? uvidMsg;


    [JsonPropertyName("result_list")]
    public IList<TaobaoTbkDgMaterialRecommendMapData>? ResultList
    {
        get => resultList;
        set => this.resultList = value;
    }

    [JsonPropertyName("is_default")]
    public string? IsDefault
    {
        get => isDefault;
        set => this.isDefault = value;
    }

    [JsonPropertyName("total_count")]
    public long? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("uvid_msg")]
    public string? UvidMsg
    {
        get => uvidMsg;
        set => this.uvidMsg = value;
    }

}

